import OCL from 'openchemlib/minimal';

import { predictAllSpectra } from '../predictAllSpectra';

import carbonDB from './data/carbonDB-withoutStatistic.json';

test('predictAllSpectra', async () => {
  jest.setTimeout(50000);
  const smiles = 'c1ccccc1CC';
  const molecule = OCL.Molecule.fromSmiles(smiles);

  const predictions = await predictAllSpectra(molecule, {
    prediction: {
      predictOptions: {
        C: {
          database: carbonDB,
        },
      },
    },
  });

  expect(predictions.spectra).toHaveLength(1);
});
